Subject: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Dec 2021 16:08:50 +0200

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Thu, 16 Dec 2021 16:42:08 +0300
> 
> >>> Does that family have the regular weight?  If not, maybe that's the
> >>> reason it is rejected, and you need to also require some specific
> >>> :weight value in your set-face-attribute call.
> >> Although yes, something to that effect seems to be going on. But
> >> specifying different values of :weight doesn't help either (regulal,
> >> medium, light, bold, extra-bold).
> > If playing with :weight didn't help, what other evidence did you see
> > that this issue is related?
> 
> Related to not being able to select that family (as opposed to 
> rendering it wrong, for instance).
> 
> I also tried different scenarios which seemed to help (choose another 
> family, and a different weight, and then this one), but apparently they 
> ended up selecting a different family ultimately, rather than the one I 
> specified.

I see.

If you can afford it, please try building the master branch at commit
4e9764e.  This is one commit before Lars installed the support for the
'medium' value of :weight, and the question is whether that change
caused what you see.

Thanks.